/**********************************************************************************************************************
 *  COPYRIGHT
 *  -------------------------------------------------------------------------------------------------------------------
 *  \verbatim
 *
 *                 This software is copyright protected and proprietary to Vector Informatik GmbH.
 *                 Vector Informatik GmbH grants to you only those rights as set out in the license conditions.
 *                 All other rights remain with Vector Informatik GmbH.
 *  \endverbatim
 *  -------------------------------------------------------------------------------------------------------------------
 *  LICENSE
 *  -------------------------------------------------------------------------------------------------------------------
 *            Module: PduR
 *           Program: MSR_Vector_SLP4
 *          Customer: Aptiv (China) Technology Company Ltd.
 *       Expiry Date: Not restricted
 *  Ordered Derivat.: Aurix 2G/TC397 B-Step
 *    License Scope : The usage is restricted to CBD1900078_D01
 *
 *  -------------------------------------------------------------------------------------------------------------------
 *  FILE DESCRIPTION
 *  -------------------------------------------------------------------------------------------------------------------
 *              File: PduR_Cfg.h
 *   Generation Time: 2023-12-12 16:19:43
 *           Project: CBD1900078_TC397_EVB - Version 1.0
 *          Delivery: CBD1900078_D01
 *      Tool Version: DaVinci Configurator (beta) 5.18.42 SP2
 *
 *
 *********************************************************************************************************************/

/**********************************************************************************************************************
 ! BETA VERSION                                                                                                       !
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 ! This version of DaVinci Configurator Pro and/or the related Basic Software Package is BETA software.               !
 ! BETA Software is basically operable, but not sufficiently tested, verified and/or qualified for use in series      !
 ! production and/or in vehicles operating on public or non-public roads.                                             !
 ! In particular, without limitation, BETA Software may cause unpredictable ECU behavior, may not provide all         !
 ! functions necessary for use in series production and/or may not comply with quality requirements which are         !
 ! necessary according to the state of the art. BETA Software must not be used in series production.                  !
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
**********************************************************************************************************************/

#if !defined (PDUR_CFG_H)
# define PDUR_CFG_H

/**********************************************************************************************************************
 * MISRA JUSTIFICATION
 *********************************************************************************************************************/

/**********************************************************************************************************************
 * INCLUDES
 *********************************************************************************************************************/
#include "PduR_Types.h"

/**********************************************************************************************************************
 * GLOBAL CONSTANT MACROS
 *********************************************************************************************************************/
#ifndef PDUR_USE_DUMMY_STATEMENT
#define PDUR_USE_DUMMY_STATEMENT STD_ON /* /MICROSAR/EcuC/EcucGeneral/DummyStatement */
#endif
#ifndef PDUR_DUMMY_STATEMENT
#define PDUR_DUMMY_STATEMENT(v)  /* PRQA S 3453 */ /* MD_MSR_FctLikeMacro */  /* /MICROSAR/vSet/vSetGeneral/vSetDummyStatementKind */
#endif
#ifndef PDUR_DUMMY_STATEMENT_CONST
#define PDUR_DUMMY_STATEMENT_CONST(v)  /* PRQA S 3453 */ /* MD_MSR_FctLikeMacro */  /* /MICROSAR/vSet/vSetGeneral/vSetDummyStatementKind */
#endif
#ifndef PDUR_ATOMIC_BIT_ACCESS_IN_BITFIELD
#define PDUR_ATOMIC_BIT_ACCESS_IN_BITFIELD STD_OFF /* /MICROSAR/EcuC/EcucGeneral/AtomicBitAccessInBitfield */
#endif
#ifndef PDUR_ATOMIC_VARIABLE_ACCESS
#define PDUR_ATOMIC_VARIABLE_ACCESS 32u /* /MICROSAR/EcuC/EcucGeneral/AtomicVariableAccess */
#endif
#ifndef PDUR_PROCESSOR_TC397_STEPB
#define PDUR_PROCESSOR_TC397_STEPB
#endif
#ifndef PDUR_COMP_TASKING
#define PDUR_COMP_TASKING
#endif
#ifndef PDUR_GEN_GENERATOR_MSR
#define PDUR_GEN_GENERATOR_MSR
#endif
#ifndef PDUR_CPUTYPE_BITORDER_LSB2MSB
#define PDUR_CPUTYPE_BITORDER_LSB2MSB /* /MICROSAR/vSet/vSetPlatform/vSetBitOrder */
#endif
#ifndef PDUR_CONFIGURATION_VARIANT_PRECOMPILE
#define PDUR_CONFIGURATION_VARIANT_PRECOMPILE 1
#endif
#ifndef PDUR_CONFIGURATION_VARIANT_LINKTIME
#define PDUR_CONFIGURATION_VARIANT_LINKTIME 2
#endif
#ifndef PDUR_CONFIGURATION_VARIANT_POSTBUILD_LOADABLE
#define PDUR_CONFIGURATION_VARIANT_POSTBUILD_LOADABLE 3
#endif
#ifndef PDUR_CONFIGURATION_VARIANT
#define PDUR_CONFIGURATION_VARIANT PDUR_CONFIGURATION_VARIANT_PRECOMPILE
#endif
#ifndef PDUR_POSTBUILD_VARIANT_SUPPORT
#define PDUR_POSTBUILD_VARIANT_SUPPORT STD_OFF
#endif



#define PDUR_DEV_ERROR_DETECT STD_ON  /**< /ActiveEcuC/PduR/PduRGeneral[0:PduRSafeBswChecks] || /ActiveEcuC/PduR/PduRGeneral[0:PduRDevErrorDetect] */
#define PDUR_DEV_ERROR_REPORT STD_ON  /**< /ActiveEcuC/PduR/PduRGeneral[0:PduRDevErrorDetect] */

#define PDUR_METADATA_SUPPORT STD_OFF  /**< /ActiveEcuC/PduR/PduRGeneral[0:PduRMetaDataSupport] */
#define PDUR_VERSION_INFO_API STD_OFF  /**< /ActiveEcuC/PduR/PduRGeneral[0:PduRVersionInfoApi] */

#define PDUR_ERROR_NOTIFICATION STD_OFF

#define PDUR_MAIN_FUNCTION STD_OFF

#define PDUR_MULTICORE STD_OFF /**< /ActiveEcuC/PduR/PduRGeneral[0:PduRSupportMulticore] */

#define PduR_PBConfigIdType uint32

 
 /*  DET Error define list  */ 
#define PDUR_FCT_CANIFRXIND 0x01u 
#define PDUR_FCT_CANIFTX 0x09u 
#define PDUR_FCT_CANIFTXCFM 0x02u 
#define PDUR_FCT_CANTPRXIND 0x05u 
#define PDUR_FCT_CANTPTX 0x09u 
#define PDUR_FCT_CANTPTXCFM 0x08u 
#define PDUR_FCT_CANTPSOR 0x06u 
#define PDUR_FCT_CANTPCPYRX 0x04u 
#define PDUR_FCT_CANTPCPYTX 0x07u 
#define PDUR_FCT_COMTX 0x89u 
#define PDUR_FCT_DCMTX 0x99u 
 /*   PduR_CanIfIfRxIndication  PduR_CanIfTransmit  PduR_CanIfTxConfirmation  PduR_CanTpTpRxIndication  PduR_CanTpTransmit  PduR_CanTpTxConfirmation  PduR_CanTpStartOfReception  PduR_CanTpCopyRxData  PduR_CanTpCopyTxData  PduR_ComTransmit  PduR_DcmTransmit  */ 



/**
 * \defgroup PduRHandleIdsIfRxDest Handle IDs of handle space IfRxDest.
 * \brief Communication interface Rx destination PDUs
 * \{
 */

/* Handle IDs active in all predefined variants (the application has not to take the active variant into account) */
/*      Symbolic Name                                                 Value   Active in predefined variant(s) */
#define PduRConf_PduRDestPdu_ACU_2_A_oCAN01_53ff455b_Rx_fff1d0d0_Rx   0u
#define PduRConf_PduRDestPdu_ACU_3_A_oCAN01_f674d555_Rx_e889bb53_Rx   1u
#define PduRConf_PduRDestPdu_ACU_10_A_oCAN01_e93d0db0_Rx_c95f2097_Rx  2u
#define PduRConf_PduRDestPdu_ACU_NM_ACAN_oCAN01_853c4d83_Rx_945bdcfa_Rx 3u
#define PduRConf_PduRDestPdu_ADAS_Phys_Diag_Rx_oCAN01_6e2017e3_Rx_b2cbad62_Rx 4u
#define PduRConf_PduRDestPdu_BCS_2_A_oCAN01_4aae73f0_Rx_d21c0755_Rx   5u
#define PduRConf_PduRDestPdu_BCS_3_A_oCAN01_ef25e3fe_Rx_c8b8f373_Rx   6u
#define PduRConf_PduRDestPdu_BCS_5_A_oCAN01_84fe8f58_Rx_968fff4e_Rx   7u
#define PduRConf_PduRDestPdu_BCS_6_A_oCAN01_b113390b_Rx_c53a447a_Rx   8u
#define PduRConf_PduRDestPdu_BCS_7_A_oCAN01_1498a905_Rx_d1452110_Rx   9u
#define PduRConf_PduRDestPdu_BCS_8_A_oCAN01_f6c3c61a_Rx_fd7fe4cd_Rx   10u
#define PduRConf_PduRDestPdu_BCS_9_A_oCAN01_53485614_Rx_1aade398_Rx   11u
#define PduRConf_PduRDestPdu_BCS_10_A_oCAN01_a82026e6_Rx_c98eab28_Rx  12u
#define PduRConf_PduRDestPdu_BCS_11_A_oCAN01_0dabb6e8_Rx_5b68bc46_Rx  13u
#define PduRConf_PduRDestPdu_BCS_EPB_1_A_oCAN01_198aa80c_Rx_804907c3_Rx 14u
#define PduRConf_PduRDestPdu_BCS_EPB_2_A_oCAN01_2c671e5f_Rx_b995760c_Rx 15u
#define PduRConf_PduRDestPdu_BCS_NM_oCAN01_6efcf3ca_Rx_f3463c6e_Rx    16u
#define PduRConf_PduRDestPdu_DMS_1_oCAN01_3b40b329_Rx_60e05db7_Rx     17u
#define PduRConf_PduRDestPdu_DMS_NM_oCAN01_159b76c9_Rx_d0157729_Rx    18u
#define PduRConf_PduRDestPdu_EBB_1_A_oCAN01_bc688117_Rx_88e8ac55_Rx   19u
#define PduRConf_PduRDestPdu_EBB_2_A_oCAN01_89853744_Rx_d87bcb0e_Rx   20u
#define PduRConf_PduRDestPdu_EBB_NM_oCAN01_4936e637_Rx_4f25fb7e_Rx    21u
#define PduRConf_PduRDestPdu_EPS_1_oCAN01_673eeee5_Rx_f379be9f_Rx     22u
#define PduRConf_PduRDestPdu_EPS_2_oCAN01_11dbd7d8_Rx_4c38e012_Rx     23u
#define PduRConf_PduRDestPdu_EPS_NM_oCAN01_8715860f_Rx_b1cd33a5_Rx    24u
#define PduRConf_PduRDestPdu_ESCL_NM_oCAN01_2273d280_Rx_9bf2339c_Rx   25u
#define PduRConf_PduRDestPdu_FLCR_Phys_Diag_Rx_oCAN01_a46e2581_Rx_0a1bec89_Rx 26u
#define PduRConf_PduRDestPdu_FRCR_Phys_Diag_Rx_oCAN01_3d6d2cb4_Rx_89b55d35_Rx 27u
#define PduRConf_PduRDestPdu_FR_Phys_Diag_Rx_oCAN01_5fe870c2_Rx_b2cf4756_Rx 28u
#define PduRConf_PduRDestPdu_Func_Diag_Rx_oCAN01_c4d017ef_Rx_3b02e3de_Rx 29u
#define PduRConf_PduRDestPdu_GWM_BCM_TPMS_2_A_oCAN01_8b1e62f8_Rx_fd0abb8e_Rx 30u
#define PduRConf_PduRDestPdu_GWM_NM_ACAN_oCAN01_c68190f2_Rx_36e6f6cd_Rx 31u
#define PduRConf_PduRDestPdu_GW_ACU_2_A_oCAN01_3b8df1d4_Rx_cdc91b8e_Rx 32u
#define PduRConf_PduRDestPdu_GW_ACU_10_A_oCAN01_9452e1b5_Rx_742c84b9_Rx 33u
#define PduRConf_PduRDestPdu_GW_ACU_11_A_oCAN01_31d971bb_Rx_bd51f55f_Rx 34u
#define PduRConf_PduRDestPdu_GW_BCM_1_A_oCAN01_379e5134_Rx_b762a195_Rx 35u
#define PduRConf_PduRDestPdu_GW_BCM_2_A_oCAN01_0273e767_Rx_8583aa77_Rx 36u
#define PduRConf_PduRDestPdu_GW_IAL_1_A_oCAN01_51ad1e81_Rx_c28ad48e_Rx 37u
#define PduRConf_PduRDestPdu_GW_ICM_HVAC_A_oCAN01_ab7bb282_Rx_90c7385c_Rx 38u
#define PduRConf_PduRDestPdu_GW_SRS_1_A_oCAN01_e81409c0_Rx_50a41235_Rx 39u
#define PduRConf_PduRDestPdu_GW_SRS_2_A_oCAN01_ddf9bf93_Rx_afc80525_Rx 40u
#define PduRConf_PduRDestPdu_ICM_NM_ACAN_oCAN01_709807c2_Rx_db4466ba_Rx 41u
#define PduRConf_PduRDestPdu_IFC_Phys_Diag_Rx_oCAN01_db96b9dc_Rx_46ba29d7_Rx 42u
#define PduRConf_PduRDestPdu_PAS_1_oCAN01_7bc8c85b_Rx_61fbb52c_Rx     43u
#define PduRConf_PduRDestPdu_PAS_2_oCAN01_0d2df166_Rx_fb2fb2d4_Rx     44u
#define PduRConf_PduRDestPdu_PAS_3_oCAN01_965e1bb2_Rx_deb6df09_Rx     45u
#define PduRConf_PduRDestPdu_PCS_3_oCAN01_831450dd_Rx_04c89201_Rx     46u
#define PduRConf_PduRDestPdu_PCS_4_oCAN01_f5adc873_Rx_6011dca7_Rx     47u
#define PduRConf_PduRDestPdu_PCS_NM_oCAN01_76c8d820_Rx_61db1a5f_Rx    48u
#define PduRConf_PduRDestPdu_RLCR_Phys_Diag_Rx_oCAN01_768da272_Rx_dc4131b9_Rx 49u
#define PduRConf_PduRDestPdu_RRCR_Phys_Diag_Rx_oCAN01_ef8eab47_Rx_bcb5cea2_Rx 50u
#define PduRConf_PduRDestPdu_SAS_1_oCAN01_c85ce598_Rx_e8be576c_Rx     51u
#define PduRConf_PduRDestPdu_TEL_NM_ACAN_oCAN01_6f26a978_Rx_3134a929_Rx 52u
#define PduRConf_PduRDestPdu_VCU_2_A_oCAN01_2751c1e3_Rx_8fcdf038_Rx   53u
#define PduRConf_PduRDestPdu_VCU_9_A_oCAN01_3eb7e407_Rx_ef49a490_Rx   54u
#define PduRConf_PduRDestPdu_VCU_13_A_oCAN01_191e2ed9_Rx_f8369e1c_Rx  55u
#define PduRConf_PduRDestPdu_VCU_14_A_oCAN01_d74ed271_Rx_2bd1ddf0_Rx  56u
#define PduRConf_PduRDestPdu_VCU_21_A_oCAN01_7b2fe57c_Rx_8f3f6768_Rx  57u
#define PduRConf_PduRDestPdu_VCU_NM_ACAN_oCAN01_dc2abce8_Rx_88e7835c_Rx 58u
#define PduRConf_PduRDestPdu_WCM_NM_ACAN_oCAN01_7399e783_Rx_bb93eabb_Rx 59u
#define PduRConf_PduRDestPdu_msg_Receive_oCAN01_e10841bf_Rx_68eac9e9_Rx 60u
/**\} */

/**
 * \defgroup PduRHandleIdsIfRxSrc Handle IDs of handle space IfRxSrc.
 * \brief Communication interface Rx source PDUs
 * \{
 */

/* Handle IDs active in all predefined variants (the application has not to take the active variant into account) */
/*      Symbolic Name                                                 Value   Active in predefined variant(s) */
#define PduRConf_PduRSrcPdu_PduRSrcPdu_0a1bec89                       26u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_1aade398                       11u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_2bd1ddf0                       56u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_3b02e3de                       29u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_4c38e012                       23u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_4f25fb7e                       21u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_5b68bc46                       13u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_8f3f6768                       57u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_8fcdf038                       53u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_9bf2339c                       25u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_04c89201                       46u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_36e6f6cd                       31u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_46ba29d7                       42u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_50a41235                       39u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_60e05db7                       17u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_61db1a5f                       48u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_61fbb52c                       43u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_68eac9e9                       60u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_88e8ac55                       19u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_88e7835c                       58u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_89b55d35                       27u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_90c7385c                       38u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_742c84b9                       33u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_945bdcfa                       3u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_968fff4e                       7u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_3134a929                       52u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_6011dca7                       47u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_8583aa77                       36u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_804907c3                       14u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_afc80525                       40u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_b1cd33a5                       24u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_b2cbad62                       4u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_b2cf4756                       28u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_b762a195                       35u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_b995760c                       15u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_bb93eabb                       59u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_bcb5cea2                       50u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_bd51f55f                       34u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_c8b8f373                       6u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_c28ad48e                       37u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_c53a447a                       8u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_c95f2097                       2u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_c98eab28                       12u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_cdc91b8e                       32u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_d21c0755                       5u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_d87bcb0e                       20u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_d0157729                       18u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_d1452110                       9u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_db4466ba                       41u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_dc4131b9                       49u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_deb6df09                       45u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_e8be576c                       51u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_e889bb53                       1u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_ef49a490                       54u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_f379be9f                       22u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_f3463c6e                       16u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_f8369e1c                       55u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_fb2fb2d4                       44u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_fd0abb8e                       30u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_fd7fe4cd                       10u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_fff1d0d0                       0u
/**\} */

/**
 * \defgroup PduRHandleIdsIfTpTxSrc Handle IDs of handle space IfTpTxSrc.
 * \brief Communication interface and transport protocol Tx PDUs
 * \{
 */

/* Handle IDs active in all predefined variants (the application has not to take the active variant into account) */
/*      Symbolic Name                                                 Value   Active in predefined variant(s) */
#define PduRConf_PduRSrcPdu_PduRSrcPdu_3c88efcb                       23u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_3cb865b0                       21u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_6a8d953c                       16u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_6bb7236e                       7u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_6bdbf204                       2u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_7b714b92                       1u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_8b08cb92                       14u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_36b89efb                       5u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_76de3359                       4u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_815bd8f4                       9u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_3836bb6e                       24u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_22958c0f                       19u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_96888e19                       10u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_99278ac4                       6u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_6718262f                       8u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_9902851a                       12u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_a357f69f                       17u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_ad6c6f27                       3u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_af54969f                       22u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_b5ce87ef                       13u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_b31cc10d                       15u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_cebc12c6                       20u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_ece70253                       18u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_f078b723                       0u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_f7306047                       11u
/**\} */

/**
 * \defgroup PduRHandleIdsIfTxDest Handle IDs of handle space IfTxDest.
 * \brief Communication interface Tx destination PDUs
 * \{
 */

/* Handle IDs active in all predefined variants (the application has not to take the active variant into account) */
/*      Symbolic Name                                                 Value   Active in predefined variant(s) */
#define PduRConf_PduRDestPdu_ADAS_1_I_oCAN00_f8b5c9d6_Tx              0u
#define PduRConf_PduRDestPdu_ADAS_4_I_oCAN00_a6831323_Tx              1u
#define PduRConf_PduRDestPdu_ADAS_5_I_oCAN00_0308832d_Tx              2u
#define PduRConf_PduRDestPdu_ADAS_BSDM_2_oCAN00_26c21feb_Tx           3u
#define PduRConf_PduRDestPdu_ADAS_BSDM_2_oCAN01_ffadbeec_Tx           4u
#define PduRConf_PduRDestPdu_ADAS_Diag_Tx_oCAN01_847d0a3b_Tx          5u
#define PduRConf_PduRDestPdu_ADAS_FRR_1_oCAN01_66b21518_Tx            6u
#define PduRConf_PduRDestPdu_ADAS_NM_ACAN_oCAN01_063fb37e_Tx          7u
#define PduRConf_PduRDestPdu_BSDM_1_oCAN01_729e12b9_Tx                8u
#define PduRConf_PduRDestPdu_BSDS_1_oCAN01_6d59cac6_Tx                9u
#define PduRConf_PduRDestPdu_FLCR_Diag_Tx_oCAN01_2135d9a4_Tx          10u
#define PduRConf_PduRDestPdu_FRCR_Diag_Tx_oCAN01_223439e5_Tx          11u
#define PduRConf_PduRDestPdu_FR_Diag_Tx_oCAN01_6b3fcf74_Tx            12u
#define PduRConf_PduRDestPdu_IFC_1_oCAN01_0966f28d_Tx                 13u
#define PduRConf_PduRDestPdu_IFC_2_I_oCAN00_c1ba9d23_Tx               14u
#define PduRConf_PduRDestPdu_IFC_2_oCAN01_7f83cbb0_Tx                 15u
#define PduRConf_PduRDestPdu_IFC_3_oCAN01_e4f02164_Tx                 16u
#define PduRConf_PduRDestPdu_IFC_MRR_1_oCAN01_a1fd7a88_Tx             17u
#define PduRConf_PduRDestPdu_IFC_MRR_2_I_oCAN00_5faecaef_Tx           18u
#define PduRConf_PduRDestPdu_IFC_MRR_2_oCAN01_d71843b5_Tx             19u
#define PduRConf_PduRDestPdu_IFC_MRR_3_oCAN01_4c6ba961_Tx             20u
#define PduRConf_PduRDestPdu_RLCR_Diag_Tx_oCAN01_968a84df_Tx          21u
#define PduRConf_PduRDestPdu_RRCR_Diag_Tx_oCAN01_958b649e_Tx          22u
#define PduRConf_PduRDestPdu_msg_Transmit_oCAN01_4f5e096c_Tx          23u
/**\} */

/**
 * \defgroup PduRHandleIdsTpRxDest Handle IDs of handle space TpRxDest.
 * \brief Transport protocol Rx destination PDUs
 * \{
 */

/* Handle IDs active in all predefined variants (the application has not to take the active variant into account) */
/*      Symbolic Name                                                 Value   Active in predefined variant(s) */
#define PduRConf_PduRDestPdu_msg_diag_RequestGlobal_oCAN01_e19b0780_Rx_a1d6ed8b_Rx 0u
#define PduRConf_PduRDestPdu_msg_diag_Request_MyECU_oCAN01_714c56bd_Rx_68d29874_Rx 1u
/**\} */

/**
 * \defgroup PduRHandleIdsTpRxSrc Handle IDs of handle space TpRxSrc.
 * \brief Transport protocol Rx source PDUs
 * \{
 */

/* Handle IDs active in all predefined variants (the application has not to take the active variant into account) */
/*      Symbolic Name                                                 Value   Active in predefined variant(s) */
#define PduRConf_PduRSrcPdu_PduRSrcPdu_68d29874                       1u
#define PduRConf_PduRSrcPdu_PduRSrcPdu_a1d6ed8b                       0u
/**\} */

/**
 * \defgroup PduRHandleIdsTpTxDest Handle IDs of handle space TpTxDest.
 * \brief Transport protocol Tx PDUs
 * \{
 */

/* Handle IDs active in all predefined variants (the application has not to take the active variant into account) */
/*      Symbolic Name                                                 Value   Active in predefined variant(s) */
#define PduRConf_PduRDestPdu_msg_diag_Response_MyECU_oCAN01_9c5eb393_Tx 0u
/**\} */


/* User Config File Start */

/* User Config File End */


/**********************************************************************************************************************
 * GLOBAL FUNCTION MACROS
 *********************************************************************************************************************/

/**********************************************************************************************************************
 * GLOBAL DATA TYPES AND STRUCTURES
 *********************************************************************************************************************/

/**********************************************************************************************************************
 * GLOBAL FUNCTION PROTOTYPES
 *********************************************************************************************************************/

#endif  /* PDUR_CFG_H */
/**********************************************************************************************************************
 * END OF FILE: PduR_Cfg.h
 *********************************************************************************************************************/

